Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Filecache.h File Reference

`#include "ace/Mem_Map.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/RW_Thread_Mutex.h"`
`#include "ace/OS_NS_sys_stat.h"`

Include dependency graph for Filecache.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Filecache_Handle
| Abstraction over a real file. This is meant to be the entry point into the Cached Virtual Filesystem. More...
class | ACE_Filecache
| A hash table holding the information about entry point into the Cached Virtual Filesystem. On insertion, the reference count is incremented. On destruction, reference count is decremented. More...
class | ACE_Filecache_Object
| Abstraction over a real file. This is what the Virtual Filesystem contains. This class is not intended for general consumption. Please consult a physician before attempting to use this class. More...
## Typedefs
typedef ACE_Hash_Map_Manager_Ex< const ACE_TCHAR *, ACE_Filecache_Object *, ACE_Hash< const ACE_TCHAR * >, ACE_Equal_To< const ACE_TCHAR * >, ACE_Null_Mutex > | ACE_Filecache_Hash
typedef ACE_Hash_Map_Entry< const ACE_TCHAR *, ACE_Filecache_Object * > | ACE_Filecache_Hash_Entry
## Enumerations
enum | ACE_Filecache_Flag { ACE_NOMAP = 0, ACE_MAPIT = 1 }

## Detailed Description

Id
  Filecache.h,v 4.46 2005/10/28 16:14:52 ossama Exp

Author:
  James Hu

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<const ACE_TCHAR *, ACE_Filecache_Object *, ACE_Hash<const ACE_TCHAR *>, ACE_Equal_To<const ACE_TCHAR *>, ACE_Null_Mutex> ACE_Filecache_Hash

typedef ACE_Hash_Map_Entry<const ACE_TCHAR *, ACE_Filecache_Object *> ACE_Filecache_Hash_Entry

## Enumeration Type Documentation

enum ACE_Filecache_Flag

  | Enumeration values:
  ACE_NOMAP |
  ACE_MAPIT |